package com.taiwanmobile.pt.tamedia.tutorial;

import android.content.Intent;
import android.os.Bundle;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import androidx.appcompat.app.AppCompatActivity;

public class MainActivity extends AppCompatActivity {

    private static final String[] options_release = new String[] {
            "Banner_320X50",
            "Banner_300x250",
            "Banner_1200x627",
            "Interstital",
            "InRead Anchor",
            "Native Image",
            "Native VIDEO"
    };

    private boolean mediaPreferImage = false;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        ListView listView = findViewById(R.id.list_ad);

        ArrayAdapter<String> adapter;
        adapter = new ArrayAdapter<>(this, android.R.layout.simple_list_item_1, options_release);
        listView.setAdapter(adapter);
        listView.setOnItemClickListener(adSelectedListener);
    }

    private final AdapterView.OnItemClickListener adSelectedListener = (parent, view, position, id) -> {
        Intent intent = new Intent();
        boolean nativeAdOptions = false;
        switch (position) {
        case 0:
            intent.putExtra(BannerActivity.KEY_BANNER_TYPE,
                    BannerActivity.TYPE_BANNER_320X50);
            intent.setClass(MainActivity.this, BannerActivity.class);
            break;
        case 1:
            intent.putExtra(BannerActivity.KEY_BANNER_TYPE,
                    BannerActivity.TYPE_BANNER_300x250);
            intent.setClass(MainActivity.this, BannerActivity.class);
            break;
        case 2:
            intent.putExtra(BannerActivity.KEY_BANNER_TYPE,
                    BannerActivity.TYPE_BANNER_1200x627);
            intent.setClass(MainActivity.this, BannerActivity.class);
            break;
        case 3:
            intent.setClass(MainActivity.this, InterstitialActivity.class);
            break;
        case 4:
            intent.setClass(MainActivity.this, InReadActivity.class);
            break;
        case 5:
            intent.setClass(MainActivity.this, NativeActivity.class);
            mediaPreferImage = true;
            nativeAdOptions = true;
            break;
        case 6:
            intent.setClass(MainActivity.this, NativeActivity.class);
            nativeAdOptions = true;
            break;
        default:
            intent.setClass(MainActivity.this, BannerActivity.class);
            break;
        }

        if(nativeAdOptions) {
            boolean disableImageLoading = false;
            boolean videoCustomControl = false;
            boolean startUnmuted = false;
            intent.putExtra(NativeActivity.KEY_AD_DISABLE_IMAGE_LOADING, disableImageLoading);
            intent.putExtra(NativeActivity.KEY_AD_VIDEO_START_UNMUTED, startUnmuted);
            intent.putExtra(NativeActivity.KEY_AD_VIDEO_CUSTOM_CONTROLS_REQUESTED, videoCustomControl);
            intent.putExtra(NativeActivity.KEY_AD_MEDIA_PREFER_IMAGE, mediaPreferImage);
        }

        startActivity(intent);
    };
}
